#include "StdAfx.h"

#include "MainContainer.h"
#include "WebApp.h"


CWebApp::CWebApp(const Wt::WEnvironment& env)
:
    Wt::WApplication(env)
{
#ifdef WITH_WT321
    setTitle("Issue 6637 - Wt 3.2.1");
#else
    setTitle("Issue 6637 - Wt.3.3.0");
#endif
    
    messageResourceBundle().use("./Resources/template");

    enableUpdates(true);

    pMain_ = new CMainContainer(root());
}

CWebApp::~CWebApp(void)
{
}

void CWebApp::End()
{
    pMain_->End();
    triggerUpdate();
}