#include "StdAfx.h"
#include "WebApp.h"
#include "Derived.h"
#include "EndWidget.h"
#include "MainContainer.h"

CMainContainer::CMainContainer(Wt::WContainerWidget* pParent) 
: 
    Wt::WContainerWidget(pParent)
{
    setAttributeValue("alt", "MainContainer");

    pBaseWidget_ = new CDerived(this);
}

CMainContainer::~CMainContainer(void)
{
}

void CMainContainer::End()
{
    if (pBaseWidget_)
    {
        pBaseWidget_->hide();
        delete pBaseWidget_;
    }

    std::cout << "Creating end widget" << std::endl;
    CEndWidget* pEnd = new CEndWidget(this);
    //pEnd->show();
    std::cout << "Creating end widget done" << std::endl;
}

